Skip to content

UDP

All operations require authentication.

5 operationsv1/ipLoadbalancing/{serviceName}
Agent setup

List UDP frontendsBeta

GET
/1.0/ipLoadbalancing/{serviceName}/udp/frontend

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Query parameters

defaultFarmId
integer

Filter the value of defaultFarmId property (=)

port
string

Filter the value of port property (like)

zone
string

Filter the value of zone property (=)

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/udp/frontend \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Create a UDP frontendBeta

POST
/1.0/ipLoadbalancing/{serviceName}/udp/frontend

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Request body (required)

dedicatedIpfo
ipBlock[]

Only attach frontend on these ip. No restriction if null

defaultFarmId
integer

Default UDP Farm of your frontend

disabled
boolean

Disable your frontend. Default: 'false'

displayName
string

Human readable name for your frontend, this field is for you

port
required
string

Port(s) attached to your frontend. Supports single port (numerical value), range (2 dash-delimited increasing ports) and comma-separated list of 'single port' and/or 'range'. Each port must be in the [1;49151] range.

zone
required
string

Zone of your frontend. Use "all" for all owned zone.

Response

200FrontendUdpsuccessful operation
dedicatedIpfo
ipBlock[]

Only attach frontend on these ip. No restriction if null

defaultFarmId
integer

Default UDP Farm of your frontend

disabled
boolean

Disable frontend. Default: 'false'

displayName
string

Human readable name for your frontend, this field is for you

frontendId
read-only
integer

Id of your frontend

port
string

Listening port(s) on the server

zone
string

Zone of you frontend

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/udp/frontend \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "dedicatedIpfo": [ "192.0.2.0/24" ], "defaultFarmId": 0, "disabled": true, "displayName": "string", "frontendId": 0, "port": "string", "zone": "string"}

Get a UDP frontendBeta

GET
/1.0/ipLoadbalancing/{serviceName}/udp/frontend/{frontendId}

Path parameters

frontendId
required
integer

Id of your frontend

serviceName
required
string

The internal name of your IP load balancing

Response

200FrontendUdpsuccessful operation
dedicatedIpfo
ipBlock[]

Only attach frontend on these ip. No restriction if null

defaultFarmId
integer

Default UDP Farm of your frontend

disabled
boolean

Disable frontend. Default: 'false'

displayName
string

Human readable name for your frontend, this field is for you

frontendId
read-only
integer

Id of your frontend

port
string

Listening port(s) on the server

zone
string

Zone of you frontend

Example uses frontendId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/udp/frontend/{frontendId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "dedicatedIpfo": [ "192.0.2.0/24" ], "defaultFarmId": 0, "disabled": true, "displayName": "string", "frontendId": 0, "port": "string", "zone": "string"}

Delete a UDP frontendBeta

DELETE
/1.0/ipLoadbalancing/{serviceName}/udp/frontend/{frontendId}

Path parameters

frontendId
required
integer

Id of your frontend

serviceName
required
string

The internal name of your IP load balancing

Response

200—successful operation

Example uses frontendId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/udp/frontend/{frontendId} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a UDP frontendBeta

PUT
/1.0/ipLoadbalancing/{serviceName}/udp/frontend/{frontendId}

Path parameters

frontendId
required
integer

Id of your frontend

serviceName
required
string

The internal name of your IP load balancing

Request body (required)

dedicatedIpfo
ipBlock[]

Only attach frontend on these ip. No restriction if null

defaultFarmId
integer

Default UDP Farm of your frontend

disabled
boolean

Disable frontend. Default: 'false'

displayName
string

Human readable name for your frontend, this field is for you

frontendId
read-only
integer

Id of your frontend

port
string

Listening port(s) on the server

zone
string

Zone of you frontend

Response

200—successful operation

Example uses frontendId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/udp/frontend/{frontendId} \
  -H "authorization: Bearer $OVH_TOKEN"